import React from 'react';
import ReactDOM from 'react-dom';
console.log(ReactDOM);

function tabulate(data) {
  const table = d3.select('body').append('table').attr("id", "example").attr("class", "display nowrap")
  const thead = table.append('thead')
  const tbody = table.append('tbody')

  thead.append('tr')
    .selectAll(null)
    .data(data.shift())
    .enter()
    .append('th')
    .text(d => d)

  const rows = tbody.selectAll(null)
    .data(data)
    .enter()
    .append('tr')

  rows.selectAll(null)
    .data(d => d)
    .enter()
    .append('td')
    .text(d => d)

  return table;
}

d3.text("https://gist.githubusercontent.com/Naveed945/c2e378829ee261d4f695f2f3217f5787/raw/0180a24793dc118f2e6ff2345712ea12ff028a5a/gistfile1.txt")
  .then(d3.csvParseRows)
  .then(tabulate)
  .then(() => $('#example').DataTable());


const App = () => (
    <div>
<label for="Grocery">Below are the Top sales of a Grocery Store:</label>
</div>);
const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
